Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Community Member

IOS IMAGES

Hello,

I have been getting software crashes on my Cisco 2900 router.  Result of Cisco TAC was the following:

thank you so much for the pre-attached file, I have done tracebacks decode and ended up with the following bug :

CSCub06131<>Crash seen at process_run_degraded_or_crash

Internally found severe (Sev2) bug: R-Resolved

Symptoms:

The IPSLA sender box can reload with the following message: SYS-6-STACKLOW: Stack for process IP SLAs XOS Event Processor running low, 0/6000 Conditions: This symptom is observed with the IPSLA sender box. Workaround: There is no workaround.

this bug is fixed starting in 15.2(4)M3 and later

I had the following IOS image on the router when I was getting the software crashes:

      

c2900-universalk9-mz.SPA.151-4.M5.bin

I was told by Cisco to put on:

c2900-universalk9-mz.SPA.152-4.M3.bin

When I put the M3 on the router it did indeed fix the issue.  My problem is that I only had this problem on 1 2901 router out of 300 that have similiar config and the c2900-universalk9-mz.SPA.151-4.M5.bin IOS installed.  Could someone confirm which IOS is newer and if there is any reason why it would only be an issue on one router?

2 REPLIES
Hall of Fame Super Gold

IOS IMAGES

The version that has beed indicated you is, of course, newer and it containts the specific bug fix.

No router operates under the same identcial conditions of any other, so it is perfectly normal that issues seen on one are not seen or others, even if they are configured the same and do the same purpose.

Hall of Fame Super Gold

IOS IMAGES

c2900-universalk9-mz.SPA.151-4.M5.bin

15.1(4)M5

c2900-universalk9-mz.SPA.152-4.M3.bin

15.2(4)M3

Don't look at the last digit, ie M5 vs M3.  Look at the first group.  You have 15.1 vs 15.2.  Of course, 15.2 the higher version. 

339
Views
0
Helpful
2
Replies
CreatePlease to create content